package org.dromara.mall.product.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.product.domain.bo.MallAttributeTemplateBo;
import org.dromara.mall.product.domain.vo.MallAttributeTemplateVo;

import java.util.Collection;
import java.util.List;

/**
 * 属性模板Service接口
 *
 * @author pengles
 */
public interface MallAttributeTemplateService {

    /**
     * 查询属性模板
     */
    MallAttributeTemplateVo queryById(Long id);

    /**
     * 查询属性模板列表
     */
    TableDataInfo<MallAttributeTemplateVo> queryPageList(MallAttributeTemplateBo bo, PageQuery pageQuery);

    /**
     * 查询属性模板列表
     */
    List<MallAttributeTemplateVo> queryList(MallAttributeTemplateBo bo);

    /**
     * 新增属性模板
     */
    Boolean insertByBo(MallAttributeTemplateBo bo);

    /**
     * 修改属性模板
     */
    Boolean updateByBo(MallAttributeTemplateBo bo);

    /**
     * 校验并批量删除属性模板信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}
